﻿Ext.define('App.Control.Kivii.Finances.Policy.Customer.Selector', {
    extend: 'System.Control.EntitySelector',
    entityType: 'Kivii.Customers.Entities.Customer',
    xtype: 'App.Control.Kivii.Finances.Policy.Customer.Selector',
    filter: {},
    store: {
        autoLoad: true
    },
    selModel: {
        selType: 'checkboxmodel',
        checkboxSelect: true,
        pruneRemoved: false,
        extensible: 'y'
    },
    tbar: [{
        xtype: 'searchField',
        flex: 1,
        labelWidth: 60,
        queryField: 'FullName,Mobilephone,Email,WebSite',
        emptyText: '模糊搜索客户信息'
    },{
        xtype: 'button',
        text: '指定搜索',
        iconCls: 'x-fa fa-search',
        handler: '_onSearch'
        // disabled:true
    }],
    columns: [{
        xtype: 'rownumberer'
    }, {
        text: '客户名称',
        dataIndex: 'FullName',
        width: 180
    }, {
        text: '备注',
        dataIndex: 'Remark',
        flex: 1
    }],
    controller:{
    	_onSearch: function(_ctrl) {
            var _controller = this;
            var _view = _controller.getView();
            var _vm = _controller.getViewModel();
            Ext.MessageBox.show({
                title: _ctrl.text,
                msg: '请批量传入客户信息(支持逗号,回车,顿号,空格间隔):',
                width: 500,
                // height:300,
                buttons: Ext.MessageBox.OKCANCEL,
                multiline: true,
                scope: this,
                fn: this._showResultText,
                animateTarget: _ctrl
            });

        },
        _showResultText: function(_btn, _text, _ctrl) {
            if (_btn !== 'ok') return;
            var _me = this;
            var _view = _me.getView();
            var _vm = _me.getViewModel();
            var _fullNames = _text.replace(/，/g, ',').replace(/、/g, ',').replace(/\n/g, ',');
            _view.setSearchFilter({
                FullNameIn: _fullNames
            });
            _view.reload();
        },
    }
});